summaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorIan Lance Taylor <iant@golang.org>2013-09-03 21:15:15 -0700
committerIan Lance Taylor <iant@golang.org>2013-09-03 21:15:15 -0700
commita9309a2f8713845881cc10f4c5bad301cc61fefe (patch)
tree13c434d4ff4101bab52feaa58971cde955a270e5 /src/run.bash
parentf780d8631f7d55a53e4a7657718f75ca14c27ce7 (diff)
downloadgo-a9309a2f8713845881cc10f4c5bad301cc61fefe.tar.gz
cmd/cgo: don't let #cgo directives mess up line numbering
Fixes issue 5272. R=golang-dev, r CC=golang-dev https://codereview.appspot.com/13498046
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash6
1 files changed, 6 insertions, 0 deletions
diff --git a/src/run.bash b/src/run.bash
index 52e09b497..9af3f95b0 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -145,6 +145,12 @@ esac
go run main.go || exit 1
) || exit $?
+[ "$CGO_ENABLED" != 1 ] ||
+[ "$GOHOSTOS" == windows ] ||
+(xcd ../misc/cgo/errors
+./test.bash || exit 1
+) || exit $?
+
(xcd ../doc/progs
time ./run || exit 1
) || exit $?